Package ru.bitel.bgbilling.modules.bill.server.bean

# Class EmailMaster

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.bill.server.bean.EmailMaster

public class EmailMaster extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `EmailMaster.MailData`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmailMaster(Setup setup, Connection con, int moduleId, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAttach(MailData mailData, String key)`
  `void`
  `addMessage(MailData mailData, String key)`
  `String`
  `getEmail()`
  `String`
  `getSubject()`
  `EmailMaster`
  `setContractId(int contractId)`
  Устанавливает данные договора.
  `EmailMaster`
  `setDocumentId(DocumentSendParameters.SendingDataType type, int id)`
  Устанавливает кода документа.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EmailMaster

    public EmailMaster(Setup setup, Connection con, int moduleId, int userId)

- ## Method Details

  - ### setDocumentId

    public EmailMaster setDocumentId(DocumentSendParameters.SendingDataType type, int id)
    Устанавливает кода документа.
    Parameters:
      `id` -

  - ### setContractId

    public EmailMaster setContractId(int contractId)
    Устанавливает данные договора.
    Parameters:
      `contractId` - если invalid input: '<'=0 - то договор берётся по данным документа, иначе - явное задание.

  - ### getEmail

    public String getEmail() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getSubject

    public String getSubject()

  - ### addAttach

    public void addAttach(MailData mailData, String key) throws Exception
    Throws:
      `Exception`

  - ### addMessage

    public void addMessage(MailData mailData, String key) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`